/* Wrapper harus bisa scroll */
.fi-ta-content {
    max-height: calc(100vh - 250px);
    overflow-y: auto;
}

/* Sticky header */
.fi-ta-table thead tr {
    position: sticky;
    top: 0;
    z-index: 5; 
    background: white;
}

/* Sticky kolom kiri (No SPDD) */
.sticky-col {
    position: sticky;
    left: 0;
    z-index: 2; 
    /*background: white;*/
}

.dark .fi-fo-table-repeater thead th {
    background-color: #1f2937 !important; /* abu gelap */
    color: #f3f4f6 !important;            /* teks terang */
}
.dark .aw-table-repeater-container th {
    background-color: #1f2937 !important; /* Warna abu gelap */
    color: #f3f4f6 !important;           /* Warna teks terang */
    border-color: #374151 !important;    /* Warna border agar tidak kontras */
}

/* Jika Anda ingin baris di dalam repeater juga menyesuaikan saat Dark Mode */
.dark .aw-table-repeater-container td {
    background-color: #111827; /* Lebih gelap dari header */
}
tr:nth-child(even) .sticky-col {
    background-color: #fafafa; /* abu-abu muda untuk baris genap */
}
.dark .custom-header-dark th {
    background-color: #1f2937 !important; /* Abu gelap */
    color: #f3f4f6 !important;           /* Teks putih/terang */
    border-color: #374151 !important;
}
 
tr:nth-child(odd) .sticky-col {
    background-color: #ffffff; /* putih untuk baris ganjil */
}
.dark .fi-ta-table thead tr {
    background-color:#1e2c2e; 
}
.dark .sticky-col {
    background-color: #1e2c2e; 
}
.dark tr:nth-child(odd) .sticky-col {
    background-color: #1e2c2e; 
}

/* Baris Genap di Dark Mode */
.dark tr:nth-child(even) .sticky-col {
    background-color: #293739;
}

 /*Action column (Approve/Reject) */
/*.fi-ta-actions-cell {*/
/*    position: sticky;*/
/*    right: 0;*/
/*    z-index: 2;*/
/*}*/

.fi-modal-window, 
.fi-modal-backdrop {
    z-index: 9999;
}